Bug 449937 - lazy-load fails if client has not set content-size in header
lazy-load fails if client has not set content-size in header
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity high
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 07:54 EDT by Gordon Sim
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-06-04 07:54:31 EDT
If the content size is not in the message header, the broker doesn't load the
content and tries to send badly formed assemblies which curently results in an
assertion followed by core dump.

The message should record the size without requiring the client to have
explicitly specified it.
Comment 1 Gordon Sim 2008-06-04 15:01:51 EDT
Fixed by r2123 for store and r663243 for qpid.
Comment 2 Mike Bonnet 2008-06-19 23:53:02 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.